Kroger Ad Platform API

Kroger Ad Platform API

v2OAS 3.0

Read more about KAP API in our Media Platform Learning Center.

API Base URL
  • Server 1:https://api.8451.com/kap/v2
Security
apiKeyHeader (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called Ocp-Apim-Subscription-Key.

Example: Ocp-Apim-Subscription-Key: 123

apiKeyQuery (apiKey)

An API key is a token that you provide when making API calls. Include the token in a query parameter called subscription-key.

Example: ?subscription-key=123

Get Accounts

Returns a list of all the available accounts for a given account. Read more about Contacts in the Media Platform Learning Center. Whenever there is an update to contacts or addresses, users are required to make a GET /accounts call. This will cache the updated contacts and addresses.

get
https://api.8451.com/kap/v2/metadata/accounts

Query Parameters

offsetinteger

The offset of the first accounts to return

Default:0

sizeinteger

The number of accounts to return

Default:10

>= 1<= 100

Response

application/json

Successful Response

AccountResponse

dataarray[object]required

List of Accounts.

Show Child Parameters
metaobjectrequired
Show Child Parameters
get/metadata/accounts
 
application/json

Get Advertisers

Returns a list of all the available advertisers for a given account.

get
https://api.8451.com/kap/v2/metadata/advertisers

Query Parameters

account_idintegerrequired

The account ID to get advertisers for

offsetinteger

The offset of the first advertiser to return

Default:0

sizeinteger

The number of advertisers to return

Default:10

>= 1<= 100

Response

application/json

Successful Response

AdvertiserResponse

dataarray[object]required

List of Advertisers.

Show Child Parameters
metaobjectrequired
Show Child Parameters
get/metadata/advertisers
 
application/json

Get Contacts

Returns a list of all the available contacts for a given account. Read more about Contacts in the Media Platform Learning Center. Whenever there is an update to contacts, users are required to make a GET /accounts call. This will cache the updated contacts.

get
https://api.8451.com/kap/v2/metadata/contacts

Query Parameters

account_idintegerrequired

The account id to get contacts for

offsetinteger

The offset of the first contact to return

Default:0

sizeinteger

The number of contacts to return

Default:10

>= 1<= 100

Response

application/json

Successful Response

AdvertiserContactResponse

dataarray[object]required

List of Contacts

Show Child Parameters
metaobjectrequired
Show Child Parameters
get/metadata/contacts
 
application/json